petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecLockGet

Gets the current lock status of a vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockGet(Vec x,PetscInt *state)

Logically Collective on Vec

### Input Parameter

x -the vector

### Output Parameter

state -greater than zero indicates the vector is locked for read; less then zero indicates the vector is locked for write; equal to zero means the vector is unlocked, that is, it is free to read or write.

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockReadPush(), VecLockReadPop()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages